//**************************************************************************//
//**                                                                      **//
//**                            WinNES                                    **//
//**       Nintendo Entertainment System Emulator for Windows             **//
//**                                                                      **//
//**   Copyright (C) Dott. Cosimo De Michele 1998                         **//
//**   E-mail : karakiri@hotmail.com                                      **//
//**         You are not allowed to distribuite this software             **//
//**         commercially. Please, notify me, if you make any             **//
//**         changes to this file.                                        **//
//**                                                                      **//
//**  Nintendo is a trademark of Nintendo inc.                            **//
//**************************************************************************//

program WinNes;

uses
  Forms,
  NesForm in 'NesForm.pas' {frmNES},
  RomPropertyForm in 'RomPropertyForm.pas' {frmROMProperty},
  AboutForm in 'AboutForm.pas' {frmAbout},
  SettingForm in 'SettingForm.pas' {frmSetting},
  Mapper in 'Mapper.pas',
  MF6502 in 'MF6502.pas',
  DebugForm in 'DebugForm.pas' {frmDebug};

{$R *.RES}

(*********************************************************************

                      *** NO WARRANTY ***

There is no warranty for any program distributed or used under
this license. The pprogram is provided "as is" without warranty
of any kind, including, but not limited to, implied warranties of
merchantability or fitness for purpose. The entire risk as to the
quality and performance of the program is with you. In no event
will the author be held liable for any damages arising from the
use of this software, including incidental or consequentaial
damages, arising from the use or inability to use the program
(including but not limited to loss of data, damage to data,
or failure of the program to interoperate with other programs),
even if such holder or other party has been advised of the
possibility of such damages.

********************************************************************)

begin
  Application.Initialize;
  Application.Title := 'WinNES Emulator';
  Application.CreateForm(TfrmNES, frmNES);
  Application.Run;
end.
